# create-app

## Purpose

The starting point for Griffon. This command creates a Griffon application and requires the user to specify the application name. A subdirectory within the directory the command was executed from is then created based on the entered application name.

## Examples

    griffon create-app bookstore
    cd bookstore

## Description

Usage:

    griffon create-app [name]

Arguments:

- `name` - Name of the application to create.

Options:

- `app-version` - Version to be set on the application. Defaults to 0.1.
- `archetype` - Archetype to be searched for templates. Defaults to default.
- `file-type` - Source file type. Defaults to groovy.
- `inplace` - If true creates the application in the current directory. Defaults to false.